Index: /extensions/piclens/language/es_ES/index.php
===================================================================
--- /extensions/piclens/language/es_ES/index.php	(revision 3558)
+++ /extensions/piclens/language/es_ES/index.php	(revision 3558)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piclens/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/piclens/language/es_ES/plugin.lang.php	(revision 3558)
+++ /extensions/piclens/language/es_ES/plugin.lang.php	(revision 3558)
@@ -0,0 +1,161 @@
+﻿<?php
+/*
+ * Plugin Name: CoolIris-Piclens
+ * Version: 0.3.4
+ * Description: Cooliris/Piclens activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier ES plugin.lang.php  *********/
+
+// Piclenslite button
+$lang['piclens_button']	 				= 'Fijar un diaporama simple';
+
+
+// Admin page
+$lang['piclens_config_tab']	 			= 'Configuración';
+$lang['piclens_rssfeed_tab'] 			= 'Flux RSS';
+$lang['piclens_3dwallconfig_tab'] 		= 'Configuración Cooliris 3DWall';
+
+// 
+$lang['piclens_admin_title'] 			= 'Configuración du PlugIn Cooliris/Piclens';
+$lang['piclens_admin_submit']			= 'Registrar';
+$lang['piclens_admin_saveOK'] 			= 'Configuración Cooliris-Piclens Salvada';
+$lang['piclens_admin_saveERR1']			= 'Fichero crossdomain.xml ausente';
+$lang['piclens_admin_saveERR2']			= 'Error de copia del fichero';
+$lang['piclens_admin_saveERR3']			= 'Fichero crossdomain.xml ya existente';
+$lang['piclens_admin_saveOK2']			= 'Fichero crossdomain.xml correctamente copiado a la raíz del sitio';
+$lang['piclens_admin_saveERR4']			= '3D Wall desactivado porque PWG Stuff está instalado';
+
+$lang['piclens_admin_restoreOK']		= 'Parámetros del fichero de configuración (%s) recuperados y salvaguardados en base';
+$lang['piclens_admin_restoreKO']		= 'Fichero de configuraciones (%s) Ausente';
+$lang['piclens_admin_savefileOK']		= 'Parámetros salvaguardados en el fichero de configuración (%s)';
+$lang['piclens_admin_savefileWN']		= 'El Fichero de configuraciones (%s)  existente ha sido atropellado';
+$lang['piclens_admin_restore']			= 'Restaurar parámetros desde fichero';
+$lang['piclens_admin_savefile']			= 'Salvaguarda parámetros en fichero';
+
+$lang['piclens_cfg_title'] 				= 'Piclens : Configuración';
+$lang['piclens_cfg_piclens_actived']	= 'Activación de plugin Cooliris/Piclens';
+$lang['piclens_cfg_recursiv_actived']	= 'Activación del récursivité sobre las subcategorías';
+$lang['piclens_cfg_root_actived']		= 'Activación de Piclens sobre toda la galería (sobre la acogida)';
+$lang['piclens_cfg_lite_actived']		= 'Activación de PiclensLite (versión Piclens sin plugins navegador)';
+
+$lang['piclens_cfg_otherplugins_title']	= 'Compatibilidad con otro plugins instalado';
+$lang['piclens_cfg_plugins_actived']	= 'Activación de la compatibilidad con Plugin <b><u><i>%s</i></u></b>';
+$lang['piclens_label_plugins']			= 'Plugin <b><u><i>%s</i></u> Instalado </b>y <b>Acelerado</b>';
+$lang['piclens_secureimage_detail']		= 'Utilización del método getFile del plugin SecureImage para cargar las imágenes (miniterneras, normales e high).';
+$lang['piclens_extendeddesc_detail']	= 'Tomada en consideración por las balizas idiomas [lang] para la descripción de las imágenes y la baliza <! - hidden -> para las imágenes y las categorías que hay que enmascarar.';
+
+$lang['piclens_cfg_specials_actived']	= 'Activación de Piclens sobre las páginas "especiales"';
+$lang['piclens_recentpics_label'] 		= 'Imágenes recientes';
+$lang['piclens_recentcats_label'] 		= 'Categorías recientes';
+$lang['piclens_mostvisited_label'] 		= 'Más vistas ';
+$lang['piclens_bestrated_label'] 		= 'Mejor anotadas';
+$lang['piclens_favorites_label'] 		= 'Mis favoritas';
+
+$lang['piclens_label_withoutrecursive']	= 'Sin Récursivité';
+$lang['piclens_label_withrecursive']	= 'Con Récursivité';
+
+$lang['piclens_recurs_mode_title']		= 'Piclens: modo de récursivité';
+$lang['piclens_recurs_mode_label']		= 'Tipo de récursivité definido parámetros: ';
+$lang['piclens_recursive_standard']		= 'Estándar';
+$lang['piclens_recursive_standard_title']= 'Modo Estándar ';
+$lang['piclens_recursive_standard_detail']= 'Acogida <br> \-Categoría A <br> \ \-Bajo categoría AA <br> \ \ \-images_AAxx <br> \ \ <br> \ \-Bajo categoría AB <br> \ \ \-images_ABxx <br> \ <br> \-Categoría B <br> \-Bajo categoría BA <br> \ \-images_BAxx <br> \ <br> \-Bajo categoría BB <br> \-images_BBxx <br> <br>-Sobre La acogida, 1 flujo que contiene todas las imágenes de las categorías A y B y de sus bajo categorías (flujo Acogida) <br>-Sobre cada categoría (ex. A), 1 flujo que contiene todas las imágenes de la categoría y de las subcategorías (ex. A y AA y AB)<br>';
+$lang['piclens_recursive_specifique']	= 'Específico';
+$lang['piclens_recursive_specifique_title']= 'Modo Específico ';
+$lang['piclens_recursive_specifique_detail']= 'Acogida <br> \-Categoría A <br> \ \-Bajo categoría AA <br> \ \ \-images_AAxx <br> \ \ <br> \ \-Bajo categoría AB <br> \ \ \-images_ABxx <br> \ <br> \-Categoría B <br> \-Bajo categoría BA <br> \ \-images_BAxx <br> \ <br> \-Bajo categoría BB <br> \-images_BBxx <br> <br>-Sobre La acogida, 1 flujo por categoría que contiene todas las imágenes de las subcategorías respectivas (ex. Flujo A y flujo B) <br>-Sobre cada categoría (ex. A), 1 flujo para la categoría que contiene todas las imágenes de la categoría (ex. Flujo A) y 1 flujo por subcategorías que contienen ellas todas ellos(ellas) ';
+
+$lang['piclens_recurs_mode_rem']		= '<i>Un poco de sea el modo escogido, la pared 3D " Cooliris 3D Wall " (Inglete 3) funciona de allí <b> modo(moda) Estándar </b></i>';
+
+$lang['piclens_rsscfg_title'] 			= 'Piclens: parámetros del flujo RSS';
+$lang['piclens_rsscfg_exttitle']		= 'Extensiones Fijadas';
+$lang['piclens_rsscfg_ext']				= 'Utilización de las extensiones (en base) siguientes: ';
+$lang['piclens_rsscfg_ext1']			= '( Ninguna selección => todas las extensiones tomadas en consideración en el fluj RSS)';
+$lang['piclens_rsscfg_ext2']			= 'Observación: ¡ NULL! Corresponde a los registros sin viñetas / thumbnails (ciertos ficheros vídeos [.flv por ejemplo])';
+
+$lang['piclens_rsscfg_TNtype']			= 'Tipo de imagen utilizado para la miniatura Piclens';
+$lang['piclens_rsscfg_IMGtype']			= 'Tipo de imagen utilizado para la fijación Piclens';
+$lang['piclens_rsscfg_order']			= 'Orden de fijación de las fotos en Piclens';
+$lang['piclens_rsscfg_order1']			= 'Huele a la selección en Piclens';
+$lang['piclens_rsscfg_name'] 			= 'Nombre de las imágenes en Piclens';
+$lang['piclens_rsscfg_namecat']			= 'Fijación del nombre de la categoría';
+$lang['piclens_rsscfg_desc'] 			= 'Descripción de las imágenes en Piclens';
+$lang['piclens_rsscfg_video'] 			= 'Activación de los vídeos en la interfaz Piclens / Cooliris';
+
+$lang['piclens_label_orderPiwigo'] 		= 'Defecto Piwigo';
+$lang['piclens_label_orderCreDate'] 	= 'Data de Creación ';
+$lang['piclens_label_orderAddDate'] 	= 'Data de añadido ';
+$lang['piclens_label_orderAverage']     = 'Nota Media';
+$lang['piclens_label_orderBest'] 		= 'Más vistas';
+$lang['piclens_label_orderName']		= 'Nombre del fichero';
+$lang['piclens_label_orderID'] 			= 'Id';
+$lang['piclens_label_orderRand'] 		= 'Aleatorio';
+$lang['piclens_label_orderCat'] 		= 'Categorías';
+$lang['piclens_label_orderRank'] 		= 'Rango';
+
+$lang['piclens_label_sortHome'] 		= 'Piclens sobre Acogida';
+$lang['piclens_label_sortCat'] 			= 'Piclens sobre Categorías';
+
+$lang['piclens_label_sortPiwigo']		= 'Defecto Piwigo';
+$lang['piclens_label_sortUp']			= 'Ascendente';
+$lang['piclens_label_sortDown']			= 'Descendente';
+
+$lang['piclens_label_TypeTN']			= 'Miniatura';
+$lang['piclens_label_TypeNorm']			= 'Normal';
+$lang['piclens_label_TypeHigh']			= 'Altura';
+
+$lang['piclens_label_Name1']			= 'Nombre viñeta: talla';
+$lang['piclens_label_Name2']			= 'Nombre viñeta';
+$lang['piclens_label_Name3']			= 'Nombre de la imagen';
+$lang['piclens_label_Name4']			= 'Nada';
+
+$lang['piclens_label_Desc1']			= 'Nada';
+$lang['piclens_label_Desc2']			= 'Nombre de la imagen';
+$lang['piclens_label_Desc3']			= 'Descripción de la imagen';
+
+
+$lang['piclens_wallcfg_title'] 			= 'Piclens: configuración de Cooliris 3D Wall';
+$lang['piclens_wallcfg_navoption_title']= 'Navegación con Cooliris 3D Wall';
+$lang['piclens_wallcfg_actived']		= 'Activación de la pared 3D Cooliris ';
+$lang['piclens_wallcfg_name']			= 'Título de la pared 3D Cooliris:';
+$lang['piclens_wallcfg_info']			= '<b>Importando para que la pared 3D funcione:</b> Es necesario copiar el fichero ';
+$lang['piclens_wallcfg_info_suite']		= 'A la raíz del sitio (o modificar el fichero existente) ';
+$lang['piclens_wallcfg_color']			= 'Color del fondo para la pared 3D Cooliris:';
+$lang['piclens_wallcfg_colorB']			= 'Negro';
+$lang['piclens_wallcfg_colorW']			= 'Blanco ';
+$lang['piclens_wallcfg_heigh']			= 'Altura de la pared 3D Cooliris:';
+$lang['piclens_wallcfg_disp']			= 'Elección de fijación de la pared 3D Cooliris:';
+$lang['piclens_wallcfg_disp_opt1']		= 'Sobre la acogida ';
+$lang['piclens_wallcfg_disp_opt2']		= 'Sobre las categorías';
+$lang['piclens_wallcfg_option']			= 'Opciones de fijación de la pared 3D Cooliris:';
+$lang['piclens_wallcfg_option-opt1']	= 'Fijación lazo " Embed "';
+$lang['piclens_wallcfg_option-opt2']	= 'Fijación lazo "FullScreen"';
+$lang['piclens_wallcfg_option-opt3']	= 'Fijación lazo "Búsqueda"';
+$lang['piclens_wallcfg_transparent']	= 'Modo "Transparente" para la pared. <i> Neceser para ciertos temas horizontales </i>';
+$lang['piclens_wallcfg_param']			= 'Parámetro para la pared 3D Cooliris:';
+$lang['piclens_wallcfg_paramNORM']		= 'Estándar, todas las categorías tomadas en consideración (ídem defines parámetros a Piclens)';
+$lang['piclens_wallcfg_paramSPEC']		= 'Específico (configuración de las categorías más abajo)';
+$lang['piclens_wallcfg_cat_nav']		= 'Sustitución de la navegación de las viñetas en las categorías por la pared 3D';
+$lang['piclens_wallcfg_cat_nav1']		= 'Categorías para las cuales la pared 3D reemplaza la navegación:';
+
+$lang['piclens_wallcfg_swflocal'] 		= '[ Optionel] Utilización del fichero flash (swf) local para la pared 3D en lugar del sitio Cooliris <b> [En este caso, no necesidad de fichero crossdomain.xml] </b>';
+
+$lang['piclens_wallcfg_nbligne']        = 'Número de línea fijadas por la pared ';
+
+$lang['piclens_wallcfg_cat']			= 'Categorías tomadas en conde en la pared 3D Cooliris (si parámetro \'específico\'):';
+
+$lang['piclens_wallcfg_spec_nav']		= 'Sustitución de la navegación de las páginas especiales por la pared 3D';
+
+
+$lang['piclens_label_crossdomain1']		= 'El fichero <u> crossdomain.xml </u> es ya existente a la raíz del sitio, modifiqúelo manualmente tan necesario. </i>';
+$lang['piclens_label_crossdomain2']		= 'Copia del fichero crossdomain.xml a la raíz del sitio.';
+
+$lang['piclens_label_pwgstuff1']		= '<u>Observación:</u> <b>Opción no disponible porque PWG_Stuff está instalado (acelere / desactive la opción en PWG_Stuff). Ciertos parámetros quedan modificables aquí.</b>';
+$lang['piclens_label_pwgstuff2']		= '<u>Remarque :</u> ¿ Instale más bien <a href=http: // fr.piwigo.org / ext / extension_view.php? Eid=190> PWG_Stuff </a> para añadir el block Piclens 3DWall (fijación paramètrable en PWG_Stuff).';
+
+$lang['piclens_stuff_notparam']			= '<b>Parámetros específicos en el plugin Cooliris-piclens y no explotados por PWG-Stuff</b>';
+$lang['piclens_stuff_param_commun']		= '<b>Parámetros que pueden ser comunes del plugins Cooliris-piclens y PWG-Stuff</b>';
+
+
+?>