Index: extensions/music_player/lecteur.php
===================================================================
--- extensions/music_player/lecteur.php	(revision 3559)
+++ extensions/music_player/lecteur.php	(revision 3560)
@@ -125,5 +125,5 @@
 {
 	$file = 'lecteur.conf.php';
-	$dir = LOCALEDIT_PATH.'template/style/';
+	$dir = MP_LOCALEDIT_PATH.'template/style/';
 	$theme_file = $dir.$user['template'].'/'.$user['theme'].'/'.$file;
 	$template_file = $dir.$user['template'].'/'.$file;
Index: extensions/music_player/main.inc.php
===================================================================
--- extensions/music_player/main.inc.php	(revision 3559)
+++ extensions/music_player/main.inc.php	(revision 3560)
@@ -21,5 +21,5 @@
 define('MP_PATH', dirname(__FILE__).'/' );
 define('MP_NAME', basename(dirname(__FILE__)) );
-define('LOCALEDIT_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+define('MP_LOCALEDIT_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
 
 include_once(dirname(__FILE__).'/class.inc.php');
Index: extensions/music_player/template/style/default.conf.php
===================================================================
--- extensions/music_player/template/style/default.conf.php	(revision 3559)
+++ extensions/music_player/template/style/default.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xe8e3dc';
 $STYLE_FILE='template/style/default.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/floPure/autumn/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/autumn/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/floPure/autumn/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xedf2f2';
 $STYLE_FILE='template/style/floPure/autumn/lecteur.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/floPure/clear_blue/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0x005E89';
 $STYLE_FILE='template/style/floPure/clear_blue/lecteur.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/floPure/green_nature/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/green_nature/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/floPure/green_nature/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xedf2f2';
 $STYLE_FILE='template/style/floPure/green_nature/lecteur.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/floPure/grey_light/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/grey_light/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/floPure/grey_light/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xe8e3dc';
 $STYLE_FILE='template/style/floPure/grey_light/lecteur.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/floPure/grey_plastic/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/grey_plastic/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/floPure/grey_plastic/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xe8e3dc';
 $STYLE_FILE='template/style/floPure/grey_plastic/lecteur.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/floPure/sky/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/sky/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/floPure/sky/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0x005E89';
 $STYLE_FILE='template/style/default.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0x005E89';
 $STYLE_FILE='template/style/floPure/tr_clear_blue/lecteur.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xedf2f2';
 $STYLE_FILE='template/style/floPure/tr_green_nature/lecteur.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/my_phone.conf.php
===================================================================
--- extensions/music_player/template/style/my_phone.conf.php	(revision 3559)
+++ extensions/music_player/template/style/my_phone.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xe8e3dc';
 $STYLE_FILE='template/style/my_phone/my_phone.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/my_phone/my_phone.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/my_phone/my_phone.tpl';
 ?>
Index: extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xfb3558';
 $STYLE_FILE='template/style/yoga/Sylvia/default.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/yoga/clear/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/yoga/clear/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/yoga/clear/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0x005E89';
 $STYLE_FILE='template/style/default.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: extensions/music_player/template/style/yoga/flop_mauve/lecteur.conf.php
===================================================================
--- extensions/music_player/template/style/yoga/flop_mauve/lecteur.conf.php	(revision 3559)
+++ extensions/music_player/template/style/yoga/flop_mauve/lecteur.conf.php	(revision 3560)
@@ -4,4 +4,4 @@
 $LIGHT_COLOR='0xe8e3dc';
 $STYLE_FILE='template/style/default.css';
-$TPL_FILE=LOCALEDIT_PATH.'template/style/default.tpl';
+$TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>