Index: /extensions/music_player/admin/admin.php
===================================================================
--- /extensions/music_player/admin/admin.php	(revision 3560)
+++ /extensions/music_player/admin/admin.php	(revision 3561)
@@ -458,32 +458,4 @@
 ////////[ liste des styles globaux //////////
 ////////////////////////////////////////////////
-	/*$fichier = array();
-	$dir = opendir('./plugins/music_player/template/style'); //ouvre le repertoire courant désigné par la variable
-     while(false!==($file = readdir($dir))){ //on lit tout et on récupere tout les dossiers dans $folder
-    
-     if(!in_array($file, array('.','..'))){ //on eleve le parent et le courant '. et ..'
-	  if(is_file($file)) { continue; }
-	  $page = $file; //sort l'extension du fichier
-      $page = explode('.', $page);
-      $nb = count($page);
-      $nom_fichier = $page[0];
-      for ($i = 1; $i < $nb-1; $i++){
-       $nom_fichier .= '.'.$page[$i];
-      }
-      if(isset($page[1])){
-       $ext_fichier = $page[$nb-1];
-      }
-      else {
-       $ext_fichier = '';
-      }
-    
-      if($ext_fichier == 'css') { //On ne prend que les css
-       array_push($fichier, $file);
-      }
-	 }//fin if in array
-     }//while
-    natcasesort($fichier); //la fonction natcasesort( ) est la fonction de tri standard sauf qu'elle ignore la casse
-    
-	*/
 
 function recursive_readdir ($dir) {
Index: /extensions/music_player/lecteur.php
===================================================================
--- /extensions/music_player/lecteur.php	(revision 3560)
+++ /extensions/music_player/lecteur.php	(revision 3561)
@@ -176,4 +176,5 @@
       'H_TT' => $conf_lecteur[0],
       'L_TT' => $conf_lecteur[1],
+//      'L_TABLE' => $conf_lecteur[1]+125,
       'H' => $conf_lecteur[2],
       'L' => $conf_lecteur[4],
Index: /extensions/music_player/maintain.inc.php
===================================================================
--- /extensions/music_player/maintain.inc.php	(revision 3560)
+++ /extensions/music_player/maintain.inc.php	(revision 3561)
@@ -121,5 +121,5 @@
    $nbr=count($conf);
    
-     if ($nbr!=11)
+     if ($nbr!=11 or $conf[9]=='lecteur.css')// pour update depuis 2.1.0
      {
       pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param IN (\'mp_lecteur\')');
Index: /extensions/music_player/template/style/default.css
===================================================================
--- /extensions/music_player/template/style/default.css	(revision 3560)
+++ /extensions/music_player/template/style/default.css	(revision 3561)
@@ -47,2 +47,7 @@
 	border:none;
 }
+/* backgrounds */
+#autre_content, #content, .content, #the_page
+{
+	background:none!important;
+}
Index: /extensions/music_player/template/style/floPure/autumn/lecteur.css
===================================================================
--- /extensions/music_player/template/style/floPure/autumn/lecteur.css	(revision 3560)
+++ /extensions/music_player/template/style/floPure/autumn/lecteur.css	(revision 3561)
@@ -11,4 +11,5 @@
 width:100%;
 border:none;
+min-height:inherit;
   }
 #the_page
@@ -44,2 +45,164 @@
 	border:none;
 }
+
+
+
+
+/* _________________________________ */
+body, #autre_content, #the_page
+{
+	background:none!important;
+}
+#table_content, #section_bottom, #section_bottom_left, #section_bottom_right, #section_in, #section_right, #section_left, #section_up, #section_up_left, #section_up_right {
+ background:none!important;
+}
+
+tml, body, div, span, applet, object, iframe,
+h1, h2, h3, h4, h5, h6, p, blockquote, pre,
+a, abbr, acronym, address, big, cite, code,
+del, dfn, em, font, img, ins, kbd, q, s, samp,
+small, strike, strong, sub, sup, tt, var,
+b, u, i, center,
+dl, dt, dd, ol, ul, li,
+fieldset, form, label, legend,
+table, caption, tbody, tfoot, thead, tr, th, td {
+	margin: 0;
+	padding: 0;
+	border: 0;
+	outline: 0;
+	font-size: 100%;
+	vertical-align: baseline;
+	background: transparent;
+}
+body {
+	line-height: 1;
+}
+ol, ul {
+	list-style: none;
+}
+blockquote, q {
+	quotes: none;
+}
+
+/* remember to define focus styles! */
+:focus {
+	outline: 0;
+}
+
+/* remember to highlight inserts somehow! */
+ins {
+	text-decoration: none;
+}
+del {
+	text-decoration: line-through;
+}
+
+/* tables still need 'cellspacing="0"' in the markup */
+table {
+	border-collapse: collapse;
+	border-spacing: 0;
+}
+
+
+/* _________________________________ */
+
+
+
+
+
+
+
+
+
+
+/* text color */
+BODY
+{
+color:#696969;
+font-family:"Lucida Grande",Tahoma,Arial,Verdana,sans-serif;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+font-weight:bold;
+color:#005E89;
+}
+
+/* positionnement */
+#menubar DL, #menubar DT, #the_page, BODY {
+	margin: 0px;
+	padding: 0px;
+}
+
+/* backgrounds */
+BODY {
+  background-color: #f5f5f5;	
+}
+
+.header_notes{
+  background-color: #CAD8E1;
+}
+
+/*       contenu  ************/
+
+BODY#theAboutPage #content{
+width:800px ;
+margin-left: auto;
+margin-right: auto;
+}
+.titrePage H2 {
+border-bottom:1px dashed #BBBBBB;
+color:#222222;
+font-weight:bold;
+}
+
+#autre_content {
+padding-bottom:2em;
+padding-top:2em;
+font-size:1.5em;
+color:#000000;
+
+}
+#content, .content {
+  background-color: #fff!important;
+border-color:#fff #DEDEDE #DEDEDE #fff!important;
+border-style:none solid solid none!important;
+border-width:medium 1px 1px medium!important;
+ background-image: url(images/fadetree.png)!important;
+ background-repeat:no-repeat!important;
+ background-position:bottom left!important;
+}
+
+
+
+/***                   catégories            **********/
+
+.titrePage h2 {
+	margin-bottom: 20px;
+	}
+
+/* others */
+.pleaseNote {
+    background-color: #9c9c9c;
+    color: #ffff99;
+    padding: 1ex;
+    font-weight: bold;
+}
+#copyright {
+	width:800px;
+	height:20px;
+	background-image: url(images/footer.jpg);
+	background-position:bottom;
+	background-repeat:no-repeat;
+	padding-top:180px;
+	margin: 0px;
+	color:#FFFFFF;
+	float:right;
+}
+#copyright A, #copyright A:hover {
+	color:#f5f5f5;
+}
Index: /extensions/music_player/template/style/floPure/clear_blue/lecteur.css
===================================================================
--- /extensions/music_player/template/style/floPure/clear_blue/lecteur.css	(revision 3560)
+++ /extensions/music_player/template/style/floPure/clear_blue/lecteur.css	(revision 3561)
@@ -45,12 +45,12 @@
 }
 /* backgrounds */
-#autre_content, #content, .content
+BODY, #autre_content, #content, .content, #the_page
 {
-	background:none;
+	background:none!important;
 }
 #section_up_right{
  background-image: url(images/content_top_right.jpg);
  background-repeat:no-repeat;
- background-position:bottom;
+ background-position:bottom left;
  width:22px;
  height:14px;
@@ -58,5 +58,5 @@
 #section_up_left{
  background-image: url(images/content_top_left.jpg);
-  background-position:bottom;
+  background-position:bottom right;
   background-repeat:no-repeat;
  width:22px;
@@ -79,5 +79,5 @@
 #section_bottom_right{
  background-image: url(images/content_bottom_right.jpg);
- background-position:top;
+ background-position:top left;
  background-repeat:no-repeat;
  width:22px;
@@ -86,5 +86,5 @@
 #section_bottom_left{
  background-image: url(images/content_bottom_left.jpg);
- background-position:top;
+ background-position:top right;
  background-repeat:no-repeat;
  width:22px;
@@ -97,3 +97,19 @@
   height:14px;
 }
+/*_____________*/
 
+BODY
+{
+color:#696969;
+font-family:"Lucida Grande",Tahoma,Arial,Verdana,sans-serif;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+    color: #858460;
+}
+
Index: /extensions/music_player/template/style/floPure/green_nature/lecteur.css
===================================================================
--- /extensions/music_player/template/style/floPure/green_nature/lecteur.css	(revision 3560)
+++ /extensions/music_player/template/style/floPure/green_nature/lecteur.css	(revision 3561)
@@ -44,13 +44,40 @@
 	border:none;
 }
+
+BODY, H1, H2, H3, DT,
+INPUT.rateButtonSelected  {
+  color:#B0CA00;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #B0CA00;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+    color: #D7DC76;
+}
+
 /* backgrounds */
-#autre_content, #content, .content
+BODY, #autre_content, #content, .content, #the_page
 {
-	background:none;
+	background:none!important;
 }
+/* backgrounds */
+BODY {
+  background-color: #aacb87!important;	
+}
+
+#section_in, #section_right, #imageToolBar, #admin_content {
+  background-color: #76964B!important;
+}
+
+
+
+
 #section_up_right{
  background-image: url(images/content_top_right.jpg);
  background-repeat:no-repeat;
- background-position:bottom;
+ background-position:bottom left;
  width:22px;
  height:14px;
@@ -58,5 +85,5 @@
 #section_up_left{
  background-image: url(images/content_top_left.jpg);
-  background-position:bottom;
+  background-position:bottom right;
   background-repeat:no-repeat;
  width:22px;
@@ -79,5 +106,5 @@
 #section_bottom_right{
  background-image: url(images/content_bottom_right.jpg);
- background-position:top;
+ background-position:top left;
  background-repeat:no-repeat;
  width:22px;
@@ -86,5 +113,5 @@
 #section_bottom_left{
  background-image: url(images/content_bottom_left.jpg);
- background-position:top;
+ background-position:top right;
  background-repeat:no-repeat;
  width:22px;
Index: /extensions/music_player/template/style/floPure/grey_light/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/floPure/grey_light/lecteur.conf.php	(revision 3560)
+++ /extensions/music_player/template/style/floPure/grey_light/lecteur.conf.php	(revision 3561)
@@ -1,4 +1,4 @@
 <?php
-$BACK_COLOR='0x000000';
+$BACK_COLOR='0x474747';
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xe8e3dc';
Index: /extensions/music_player/template/style/floPure/grey_light/lecteur.css
===================================================================
--- /extensions/music_player/template/style/floPure/grey_light/lecteur.css	(revision 3560)
+++ /extensions/music_player/template/style/floPure/grey_light/lecteur.css	(revision 3561)
@@ -1,55 +1,121 @@
-#autre_content
-{
-width:100%;
-padding:0;
-margin:0;
+#autre_content {
+	width:100%;
+	padding:0;
+	margin:0;
 }
-#content
-{
-margin-left: auto;
-margin-bottom:1em;
-width:100%;
-border:none;
-  }
-#the_page
-{
-width:100%;
-border:none;
-  }
+#content {
+	margin-left: auto;
+	margin-bottom:1em;
+	width:100%;
+	border:none;
+}
+#the_page {
+	width:100%;
+	border:none;
+}
 body {
-min-width: inherit;
-width:100%;
+	min-width: inherit;
+	width:100%;
 }
-#cache
-{
-padding:5px
+#cache {
+	padding:5px
 }
-#close_button
-{
+#close_button {
 	display:block;
 	float:right;
 }
-#table_content
-{
+#table_content {
 	padding:15px;
 }
-#section_up
-{
+#section_up {
 	padding-top:5px;
 	text-align:right;
 }
-#section_up A
-{
+#section_up A {
 	text-decoration:none;
 	border:none;
 }
 #copyright {
-margin-left:5%;
-margin-right:5%;
+	margin-left:5%;
+	margin-right:5%;
+}
+BODY, H1, H3, DT,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+  color:#e0e0e0;
+}
+/* links */
+A, INPUT.rateButton {
+  color: #FFFFFF;
 }
 
+A:hover {
+  color: #CCCCCC;
+}
 /* backgrounds */
-#autre_content, #content, .content
-{
-	background:none;
+BODY, #autre_content, #content, .content, #the_page {
+	background:none!important;
 }
+/* backgrounds */
+BODY, #content {
+  background-color: #414141!important;
+}
+
+/* backgrounds menu */
+
+#section_up_right {
+	background-image: url(images/c2_haut_droit.jpg);
+	background-position:bottom left;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up_left {
+	background-image: url(images/c2_haut_gauche.jpg);
+	background-position:bottom right;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up {
+ background-image: url(images/c2_haut_milieu.jpg);
+ background-position:bottom;
+ background-repeat:repeat-x;
+	 height:32px;
+}
+
+#section_in {
+	background-color:#676767;
+}
+#section_left {
+ background-image: url(images/c2_milieu_gauche.jpg);
+ background-position:right;
+ background-repeat:repeat-y;
+	width:15px;
+}
+ #section_right {
+ background-image: url(images/c2_milieu_droit.jpg);
+ background-position:left;
+ background-repeat:repeat-y;
+	width:15px;
+	background-color:transparent;
+}
+#section_bottom_right {
+ background-image: url(images/c2_bas_droit.jpg);
+ background-position:top left;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom_left {
+ background-image: url(images/c2_bas_gauche.jpg);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom {
+ background-image: url(images/c2_bas_milieu.jpg);
+ background-position:top;
+ background-repeat:repeat-x;
+  height:15px;
+}
Index: /extensions/music_player/template/style/floPure/grey_plastic/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/floPure/grey_plastic/lecteur.conf.php	(revision 3560)
+++ /extensions/music_player/template/style/floPure/grey_plastic/lecteur.conf.php	(revision 3561)
@@ -1,4 +1,4 @@
 <?php
-$BACK_COLOR='0x000000';
+$BACK_COLOR='0x474747';
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xe8e3dc';
Index: /extensions/music_player/template/style/floPure/grey_plastic/lecteur.css
===================================================================
--- /extensions/music_player/template/style/floPure/grey_plastic/lecteur.css	(revision 3560)
+++ /extensions/music_player/template/style/floPure/grey_plastic/lecteur.css	(revision 3561)
@@ -1,55 +1,121 @@
-#autre_content
-{
-width:100%;
-padding:0;
-margin:0;
+#autre_content {
+	width:100%;
+	padding:0;
+	margin:0;
 }
-#content
-{
-margin-left: auto;
-margin-bottom:1em;
-width:100%;
-border:none;
-  }
-#the_page
-{
-width:100%;
-border:none;
-  }
+#content {
+	margin-left: auto;
+	margin-bottom:1em;
+	width:100%;
+	border:none;
+}
+#the_page {
+	width:100%;
+	border:none;
+}
 body {
-min-width: inherit;
-width:100%;
+	min-width: inherit;
+	width:100%;
 }
-#cache
-{
-padding:5px
+#cache {
+	padding:5px
 }
-#close_button
-{
+#close_button {
 	display:block;
 	float:right;
 }
-#table_content
-{
+#table_content {
 	padding:15px;
 }
-#section_up
-{
+#section_up {
 	padding-top:5px;
 	text-align:right;
 }
-#section_up A
-{
+#section_up A {
 	text-decoration:none;
 	border:none;
 }
 #copyright {
-margin-left:5%;
-margin-right:5%;
+	margin-left:5%;
+	margin-right:5%;
+}
+BODY, H1, H3, DT,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+  color:#e0e0e0;
+}
+/* links */
+A, INPUT.rateButton {
+  color: #FFFFFF;
 }
 
+A:hover {
+  color: #CCCCCC;
+}
 /* backgrounds */
-#autre_content, #content, .content
-{
-	background:none;
+BODY, #autre_content, #content, .content, #the_page {
+	background:none!important;
 }
+/* backgrounds */
+BODY, #content {
+  background-color: #414141!important;
+}
+
+/* backgrounds menu */
+
+#section_up_right {
+	background-image: url(images/c2_haut_droit.jpg);
+	background-position:bottom left;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up_left {
+	background-image: url(images/c2_haut_gauche.jpg);
+	background-position:bottom right;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up {
+ background-image: url(images/c2_haut_milieu.jpg);
+ background-position:bottom;
+ background-repeat:repeat-x;
+	 height:32px;
+}
+
+#section_in {
+	background-color:#676767;
+}
+#section_left {
+ background-image: url(images/c2_milieu_gauche.jpg);
+ background-position:right;
+ background-repeat:repeat-y;
+	width:15px;
+}
+ #section_right {
+ background-image: url(images/c2_milieu_droit.jpg);
+ background-position:left;
+ background-repeat:repeat-y;
+	width:15px;
+	background-color:transparent;
+}
+#section_bottom_right {
+ background-image: url(images/c2_bas_droit.jpg);
+ background-position:top left;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom_left {
+ background-image: url(images/c2_bas_gauche.jpg);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom {
+ background-image: url(images/c2_bas_milieu.jpg);
+ background-position:top;
+ background-repeat:repeat-x;
+  height:15px;
+}
Index: /extensions/music_player/template/style/floPure/sky/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/floPure/sky/lecteur.conf.php	(revision 3560)
+++ /extensions/music_player/template/style/floPure/sky/lecteur.conf.php	(revision 3561)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0x005E89';
 $LIGHT_COLOR='0x005E89';
-$STYLE_FILE='template/style/default.css';
+$STYLE_FILE='template/style/floPure/sky/lecteur.css';
 $TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/floPure/sky/lecteur.css
===================================================================
--- /extensions/music_player/template/style/floPure/sky/lecteur.css	(revision 3561)
+++ /extensions/music_player/template/style/floPure/sky/lecteur.css	(revision 3561)
@@ -0,0 +1,135 @@
+#autre_content {
+	width:100%;
+	padding:0;
+	margin:0;
+}
+#content {
+	margin-left: auto;
+	margin-bottom:1em;
+	width:100%;
+	border:none;
+}
+#the_page {
+	width:100%;
+	border:none;
+}
+body {
+	min-width: inherit;
+	width:100%;
+}
+#cache {
+	padding:5px
+}
+#close_button {
+	display:block;
+	float:right;
+}
+#table_content {
+	padding:15px;
+}
+#section_up {
+	padding-top:5px;
+	text-align:right;
+}
+#section_up A {
+	text-decoration:none;
+	border:none;
+}
+#copyright {
+	margin-left:5%;
+	margin-right:5%;
+}
+
+/* text color */
+BODY, H1, H2, H3, DT,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+  color:#454545;	/* dimgray */
+}
+
+
+/* links */
+A {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover {
+    color: #696969;
+}
+/* backgrounds */
+BODY, #autre_content, #content, .content, #the_page {
+	background:none!important;
+}
+/* backgrounds */
+BODY {
+	background-image: url(images/ciel_003.jpg)!important;
+	background-color: #4C9BDE!important;
+	background-position: top;
+	background-repeat: repeat-x;
+}
+#admin_content, #autre_content, .row1 {
+	background-image: url(images/background5.jpg);
+	background-position:center;
+	background-repeat:repeat-y;
+	background-color:#a8d7eb;
+}
+
+/* backgrounds menu */
+
+#section_up_right {
+	background-image: url(images/c2_haut_droit.png);
+	background-position:bottom left;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up_left {
+	background-image: url(images/c2_haut_gauche.png);
+	background-position:bottom right;
+	background-repeat:no-repeat;
+	width:15px;
+	 height:32px;
+}
+#section_up {
+ background-image: url(images/c2_haut_milieu.jpg);
+ background-position:bottom;
+ background-repeat:repeat-x;
+	 height:32px;
+}
+
+#section_in {
+	background-color: #FFFFFF;
+}
+#section_left {
+ background-image: url(images/milieu_gauche.jpg);
+ background-position:right;
+ background-repeat:repeat-y;
+	width:15px;
+}
+ #section_right {
+ background-image: url(images/milieu_droit.jpg);
+ background-position:left;
+ background-repeat:repeat-y;
+	width:15px;
+	background-color:transparent;
+}
+#section_bottom_right {
+ background-image: url(images/c2_bas_droit.png);
+ background-position:top left;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom_left {
+ background-image: url(images/c2_bas_gauche.png);
+ background-position:top right;
+ background-repeat:no-repeat;
+ width:15px;
+ height:15px;
+}
+#section_bottom {
+ background-image: url(images/c2_bas_milieu.jpg);
+ background-position:top;
+ background-repeat:repeat-x;
+  height:15px;
+}
Index: /extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.css
===================================================================
--- /extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.css	(revision 3560)
+++ /extensions/music_player/template/style/floPure/tr_clear_blue/lecteur.css	(revision 3561)
@@ -44,9 +44,34 @@
 	border:none;
 }
+
+BODY
+{
+color:#696969;
+font-family:"Lucida Grande",Tahoma,Arial,Verdana,sans-serif;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #005e89;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+    color: #858460;
+}
+
+
+
 /* backgrounds */
-#autre_content, #content, .content
-{
-	background:none;
+BODY, #autre_content, #content, .content, #the_page {
+	background:none!important;
 }
+/* backgrounds */
+BODY {
+	background-image: url(images/background6.jpg)!important;/* aussi/also eau_001.jpg */
+	background-position:center;
+	background-repeat:repeat-y;
+	background-color:#b4e2ef!important;
+}
+
 #section_up_right{
  background-image: url(images/content_top_right.png);
Index: /extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php	(revision 3560)
+++ /extensions/music_player/template/style/floPure/tr_green_nature/lecteur.conf.php	(revision 3561)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xffffff';
 $LIGHT_COLOR='0xedf2f2';
-$STYLE_FILE='template/style/floPure/tr_green_nature/lecteur.css';
+$STYLE_FILE='template/style/floPure/green_nature/lecteur.css';
 $TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: tensions/music_player/template/style/floPure/tr_green_nature/lecteur.css
===================================================================
--- /extensions/music_player/template/style/floPure/tr_green_nature/lecteur.css	(revision 3560)
+++ 	(revision )
@@ -1,104 +1,0 @@
-#autre_content
-{
-width:100%;
-padding:0;
-margin:0;
-}
-#content
-{
-margin-left: auto;
-margin-bottom:1em;
-width:100%;
-border:none;
-  }
-#the_page
-{
-width:100%;
-border:none;
-  }
-body {
-min-width: inherit;
-width:100%;
-}
-#cache
-{
-padding:5px
-}
-#close_button
-{
-	display:block;
-	float:right;
-}
-#table_content
-{
-	padding:15px;
-}
-#section_up
-{
-	padding-top:5px;
-	text-align:right;
-}
-#section_up A
-{
-	text-decoration:none;
-	border:none;
-}
-#copyright {
-margin-left:5%;
-margin-right:5%;
-}
-
-/* backgrounds */
-#autre_content, #content, .content
-{
-	background:none;
-}
-#section_up_right{
- background-image: url(images/content_top_right.png);
- background-repeat:no-repeat;
- background-position:left bottom;
- width:22px;
- height:14px;
-}
-#section_up_left{
- background-image: url(images/content_top_left.png);
-  background-position:right bottom;
-  background-repeat:no-repeat;
- width:22px;
- height:14px;
-}
-#section_up{
- background-image: url(images/content_top_backg.jpg);
-   background-position:bottom;
-   background-repeat: repeat-x;
-   height:14px;
-}
-
-#section_in, #section_right, #section_left {
-	background-image: url(images/content_backg.jpg)!important;
-	background-repeat:repeat-x;
-	background-position:top;
-	background-color:#c4cbd3;
-}
-
-#section_bottom_right{
- background-image: url(images/content_bottom_right.png);
- background-position:left top;
- background-repeat:no-repeat;
- width:22px;
- height:14px;
-}
-#section_bottom_left{
- background-image: url(images/content_bottom_left.png);
- background-position:right top;
- background-repeat:no-repeat;
- width:22px;
- height:14px;
-}
-#section_bottom{
- background-image: url(images/content_bottom_backg.png);
- background-position:top;
-   background-repeat: repeat-x;
-  height:14px;
-}
-
Index: /extensions/music_player/template/style/my_phone/my_phone.css
===================================================================
--- /extensions/music_player/template/style/my_phone/my_phone.css	(revision 3560)
+++ /extensions/music_player/template/style/my_phone/my_phone.css	(revision 3561)
@@ -23,19 +23,16 @@
 	padding:0px;
 }
-A {
+#cache A, #montre A {
 	color:#FFF;
 	display:block;
 	border:none;
-	width:auto;
+	width:200px;
 	padding:3px;
+	max-width:400px;
 }
-A:hover {
+#cache A:hover, #montre A:hover {
 	color:#000;
 	border:none;
 	background-color:#CCC;
-}
-#cache
-{
-	padding:5px
 }
 #cache LI
@@ -60,4 +57,5 @@
 	font:"Palatino Linotype", "Book Antiqua", Palatino, serif;
 	border:none;
+	width:auto;
 }
 
@@ -70,4 +68,9 @@
 {
 	margin:auto;
+	max-width:500px;
+	width:100%;
+border:0;
+padding:0;
+margin:0;
 }
 #section_up
Index: /extensions/music_player/template/style/my_phone/my_phone.tpl
===================================================================
--- /extensions/music_player/template/style/my_phone/my_phone.tpl	(revision 3560)
+++ /extensions/music_player/template/style/my_phone/my_phone.tpl	(revision 3561)
@@ -92,5 +92,5 @@
     <tr>
       <td id="section_bottom_left"></td>
-      <td id="section_bottom" ><a href="http://manicho.deviantart.com/" title="Copyright Manicho" rel="copyright">.png by Manicho</a></td>
+      <td id="section_bottom" ><a href="http://manicho.deviantart.com/" id="mp_copyright" title="Copyright Manicho" rel="copyright">.png by Manicho</a></td>
       <td id="section_bottom_right" ></td>
     </tr>
Index: /extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php
===================================================================
--- /extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php	(revision 3560)
+++ /extensions/music_player/template/style/yoga/Sylvia/lecteur.conf.php	(revision 3561)
@@ -3,5 +3,5 @@
 $FRONT_COLOR='0xFF7700';
 $LIGHT_COLOR='0xfb3558';
-$STYLE_FILE='template/style/yoga/Sylvia/default.css';
+$STYLE_FILE='template/style/yoga/Sylvia/lecteur.css';
 $TPL_FILE=MP_LOCALEDIT_PATH.'template/style/default.tpl';
 ?>
Index: /extensions/music_player/template/style/yoga/Sylvia/lecteur.css
===================================================================
--- /extensions/music_player/template/style/yoga/Sylvia/lecteur.css	(revision 3560)
+++ /extensions/music_player/template/style/yoga/Sylvia/lecteur.css	(revision 3561)
@@ -1,30 +1,27 @@
 #autre_content
 {
-	width:100%;
-	padding:0;
-	margin:0;
-	text-align:left;
-  }
+width:100%;
+padding:0;
+margin:0;
+}
 #content
 {
-	margin-left: auto;
-	margin-bottom:1em;
-	width:100%;
-	border:none;
-	min-height:inherit;
+margin-left: auto;
+margin-bottom:1em;
+width:100%;
+border:none;
   }
 #the_page
 {
-	width:100%;
-	border:none;
-}
+width:100%;
+border:none;
+  }
 body {
-	min-width: inherit;
-	width:100%;
-	padding:0px;
+min-width: inherit;
+width:100%;
 }
 #cache
 {
-	padding:5px
+padding:5px
 }
 #close_button
@@ -36,5 +33,4 @@
 {
 	padding:15px;
-	margin:auto;
 }
 #section_up
@@ -48,2 +44,7 @@
 	border:none;
 }
+/* backgrounds */
+#autre_content, #content, .content, #the_page
+{
+	background:none!important;
+}