Index: extensions/PWG_Stuffs/language/de_DE/index.php
===================================================================
--- extensions/PWG_Stuffs/language/de_DE/index.php	(revision 3566)
+++ extensions/PWG_Stuffs/language/de_DE/index.php	(revision 3566)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/PWG_Stuffs/language/de_DE/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/de_DE/plugin.lang.php	(revision 3566)
+++ extensions/PWG_Stuffs/language/de_DE/plugin.lang.php	(revision 3566)
@@ -0,0 +1,147 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'Verwaltung der Module';
+$lang['stuffs_add_mod'] = 'Neues Modul hinzufügen';
+$lang['stuffs_edit_mod'] = 'Verwaltung eines Moduls';
+
+$lang['stuffs_module_title'] = 'Titel des Moduls';
+$lang['stuffs_desc'] = 'Beschreibung';
+$lang['stuffs_only_for_admin'] = '(erscheint nur im Verwaltungsmodus)';
+$lang['stuffs_type'] = 'Art des Moduls';
+$lang['stuffs_position'] = 'Position';
+$lang['stuffs_id_ligne'] = 'ID-Linie';
+$lang['stuffs_width'] = 'Breite';
+$lang['stuffs_action'] = 'Aktionen';
+$lang['stuffs_edit'] = 'Modul verändern';
+$lang['stuffs_delete'] = 'Modul löschen';
+$lang['stuffs_confirm_delete'] = 'Sind Sie sicher das Modul %s löschen zu wollen?';
+$lang['stuffs_main_block'] = 'Hauptblock';
+
+$lang['stuffs_add_module'] = 'Neues Modul hinzufügen';
+$lang['stuffs_module_config'] = 'Verwaltung eines Moduls';
+$lang['stuffs_visual_config'] = 'Wie sollen die Blöcke angezeigt werden';
+$lang['stuffs_module_options'] = 'Optionen des Moduls';
+$lang['stuffs_authorized_group'] = 'Authorisierte Gruppen';
+$lang['stuffs_authorized_users'] = 'Authorisierte Benutzer';
+$lang['stuffs_public_module'] = '(Leer lassen falls das Modul allen zugänglich sein soll)';
+$lang['stuffs_show_title'] = 'Titel des Moduls anzeigen';
+$lang['stuffs_show_module_on'] = 'Modul anzeigen :';
+$lang['stuffs_show_on_home'] = 'Nur auf der Indexseite (also die Hauptseite)';
+$lang['stuffs_show_on_cats'] = 'Auf allen Seiten der verschiedenen Kategorien';
+$lang['stuffs_show_on_pictures'] = 'Auf den Seiten der Bilder und Fotos';
+$lang['stuffs_no_options'] = 'Für dieses Modul steht keine Option zur Verfügung';
+
+//Messages d'infos
+$lang['stuffs_order_saved'] = 'Die Änderungen wurden gespeichert.';
+
+
+// Messages d'erreurs
+$lang['stuffs_error_no_mod_selected'] = 'Sie haben kein Modul ausgewählt.';
+$lang['stuffs_no_name'] = 'Sie müssen dem Modul einen Titel geben';
+
+//------------------------------------------------------------------------------
+//							Module LastComs
+//------------------------------------------------------------------------------
+
+$lang['module_name_LastComs'] = 'Die letzten Kommentare';
+$lang['module_desc_LastComs'] = 'Zeigt die zuletzt eingegebenen Kommentare an';
+
+$lang['lastcoms_no_nb_comments'] = 'Das Feld "Anzahl der angezeigten Kommentare" ist obligatorisch.';
+$lang['lastcoms_config'] = 'Einstellung';
+$lang['lastcoms_nb_comments'] = 'Anzahl der angezeigten Kommentare';
+$lang['lastcoms_show_buttons'] = 'Verwaltungsknöpfe anzeigen';
+$lang['lastcoms_dim'] = 'Dimensionen der Miniaturbilder';
+$lang['lastcoms_width'] = 'Max. Breite';
+$lang['lastcoms_height'] = 'Max. Höhe';
+$lang['lastcoms_nb_cadres'] = 'Anzahl Blöcke pro Linie';
+$lang['lastcoms_taille_cadres'] = 'Höhe der Blöcke';
+
+
+//------------------------------------------------------------------------------
+//							Module Logon
+//------------------------------------------------------------------------------
+
+$lang['module_name_Logon'] = 'Anmeldung';
+$lang['module_desc_Logon'] = 'Zeigt ein Anmeldefenster in einem Block auf der Indexseite an';
+
+$lang['logon_remove_menubar_block'] = 'Die "Schnellanmeldung" vom Hauptmenü entfernen';
+
+
+//------------------------------------------------------------------------------
+//							Module Personal
+//------------------------------------------------------------------------------
+
+$lang['module_name_Personal'] = 'Persönlicher Block';
+$lang['module_desc_Personal'] = 'Zeigt einen persönlichen Block an (z. Bsp. ein Editorial)';
+
+$lang['personal_content'] = 'Inhalt';
+
+
+//------------------------------------------------------------------------------
+//							Module Tags
+//------------------------------------------------------------------------------
+
+$lang['module_name_Tags'] = 'Tags';
+$lang['module_desc_Tags'] = 'Zeigt die Tags der Galerien an';
+
+$lang['stuffs_tags_default_display'] = 'Tags-Anzeige';
+$lang['stuffs_tags_cloud'] = 'Tags normal auflisten';
+$lang['stuffs_tags_letters'] = 'Nach Buchstaben gruppieren';
+$lang['stuffs_tags_cumulus'] = 'Den Modus Cumulus benützen(Das Plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> muss dazu installiert werden)';
+
+
+//------------------------------------------------------------------------------
+//							Module Piclenswall
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3DWall';
+$lang['module_desc_piclenswall'] = 'Zeigt 3D piclens (Das Plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> muss dazu installiert sein)';
+
+$lang['piclenswall_height'] = 'Höhe des Cooliris';
+$lang['piclenswall_background_color'] = 'Hintergrundfarbe';
+$lang['piclenswall_black'] = 'Schwarz';
+$lang['piclenswall_white'] = 'Weiss';
+$lang['piclenswall_info'] = 'Wichtig damit 3DWall funktionniert';
+$lang['piclenswall_info_piclens'] = 'Sie müssen das Plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> installieren und aktivieren.';
+$lang['piclenswall_info_crossdomain'] = 'Sie müssen die Datei <a href="%s">crossdomain.xml</a> ins Hauptverzeichnis kopieren (oder die schon bestehende Datei anpassen).';
+$lang['piclenswall_info_param'] = 'Die Einstellungen müssen direkt im Einstellungspanel des <b>Cooliris-piclens</b>-Plugin vorgenommen werden';
+
+//------------------------------------------------------------------------------
+//							Module Most Visited
+//------------------------------------------------------------------------------
+
+$lang['module_name_MostVisited'] = 'Meist angeschaute Bilder';
+$lang['module_desc_MostVisited'] = 'Zeigt die x meist angeschauten Bilder der Galerie oder Kategorie an';
+
+$lang['stuffs_mv_nb_images'] = 'Max. Anzahl der anzuzeigenden Bilder';
+$lang['stuffs_mv_category_display'] = 'Auf der Kategorieseite anzeigen';
+$lang['stuffs_mv_all_cats'] = 'Alle Kategorien';
+$lang['stuffs_mv_w_thumb'] = 'Nur Kategorien mit Miniaturbildern';
+$lang['stuffs_mv_wo_thumb'] = 'Nur Kategorien ohne Miniaturbilder';
+$lang['stuffs_mv_selected_cats'] = 'Nur ausgewählte Kategorien';
+
+$lang['stuffs_mv_cat_selection'] = 'Auswahl Kategorie';
+$lang['stuffs_mv_hold_ctrl'] = 'CTRL-Taste gedrückt halten';
+
+//------------------------------------------------------------------------------
+//							Module Best Rated
+//------------------------------------------------------------------------------
+
+$lang['module_name_BestRated'] = 'Beste Noten';
+$lang['module_desc_BestRated'] = 'Zeigt die x bestbenoteten Bilder der Galerie oder Kategorie an';
+
+//------------------------------------------------------------------------------
+//							Module Recent
+//------------------------------------------------------------------------------
+
+$lang['module_name_Recent'] = 'Neuesten Bilder';
+$lang['module_desc_Recent'] = 'Zeigt die neusten hinzugefügten Bilder der Galerie oder Kategorie an (falls vorhanden!)';
+
+//------------------------------------------------------------------------------
+//							Module Random
+//------------------------------------------------------------------------------
+
+$lang['module_name_Random'] = 'Zufallsbild';
+$lang['module_desc_Random'] = 'Zeigt x Zufallsbilder der Galerie oder Kategorie an';
+
+?>